Bug 101457 - Problem copy+pasting cells between two tables of two documents (GTK3)
Summary: Problem copy+pasting cells between two tables of two documents (GTK3)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.4.2 release
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.4
Keywords:
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2016-08-11 17:33 UTC by Frédéric MASSOT
Modified: 2016-10-25 07:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Select and copy several cells in the first table of the first document. (80.16 KB, image/png)
2016-08-12 10:06 UTC, Frédéric MASSOT
Details
Cursor click in the first cell of the table in the second document. (74.24 KB, image/png)
2016-08-12 10:07 UTC, Frédéric MASSOT
Details
Paste the selection in the table in the second document. (79.77 KB, image/png)
2016-08-12 10:08 UTC, Frédéric MASSOT
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric MASSOT 2016-08-11 17:33:29 UTC
Hi,

Since version 5 (I think) of Writer, the behavior of the copy cells between two tables has changed.

The context: two Writer documents with the same tables, one with text and one without text.

Operation: Select and copy several cells in a table of the first document and paste them in the same table the second document.

Before version 5, the contents were copied identically between the tables of both documents.

Since version 5, the cells selected in the first table are inserted into each cell of the second table.

There is no problem if both tables are in the same document.


Best regards.
Comment 1 Cor Nouws 2016-08-11 21:15:24 UTC
Hi Frédéric,

Thanks for reporting here.. However I cannot reproduce that problem.
Can you please try again and make sure that you have no cells selected in the second table (where you paste content)?

Ciao  - Cor
Comment 2 Frédéric MASSOT 2016-08-12 09:52:39 UTC
Hi Cor,

Thank you for your reply.

I tested on multiple workstations :

- Windows 10 and Writer 5.0.5.2 there is no bug.
- Linux Debian and Writer 4.4.5.2 or 5.0.4, there is no bug.
- Linux Debian and Writer 5.1.5 there is the bug, I tested with Gnome 3 and MATE desktops.

I was careful not to select cell in the table where it makes the paste.


Regards.
Comment 3 Frédéric MASSOT 2016-08-12 10:06:20 UTC
Created attachment 126767 [details]
Select and copy several cells in the first table of the first document.
Comment 4 Frédéric MASSOT 2016-08-12 10:07:33 UTC
Created attachment 126768 [details]
Cursor click in the first cell of the table in the second document.
Comment 5 Frédéric MASSOT 2016-08-12 10:08:26 UTC
Created attachment 126769 [details]
Paste the selection in the table in the second document.
Comment 6 Frédéric MASSOT 2016-08-16 09:47:08 UTC
Hi,

I've updated to the LibreOffice 5.2.0.4 Debian version, and the bug is still present.


Regards.
Comment 7 Frédéric MASSOT 2016-08-17 15:18:00 UTC
Hi,

I just updated LibreOffice on Windows 10 workstation with the 5.1.5.2 version and I do not have the bug.
I feel that this bug is specific to Linux or Debian release.

Regards.
Comment 8 Frédéric MASSOT 2016-08-23 10:29:58 UTC
Hi,

I opened a bug report to Debian, the problem seems to copy paste with GTK3, there is no problem with GTK2.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=834622


Regards.
Comment 9 Cor Nouws 2016-08-23 11:41:44 UTC
Thanks for finding this out Frédéric.
Comment 10 Rene Engelhard 2016-08-25 18:11:33 UTC
and? --enable-gtk3 is a LO compile option, so there's still a bug there. --enable-gtk3 even is needed for some features to work, so distros enable it. Not just Debian...
Comment 11 Cor Nouws 2016-08-25 18:30:32 UTC
so maybe it's not at all a gtk3 problem.

My info (and I do not have the bug): 

$ apt-cache policy libgtk2.0-0 libgtk-3-0
libgtk2.0-0:
  Installed: 2.24.30-1ubuntu1
  Candidate: 2.24.30-1ubuntu1
  Version table:
 *** 2.24.30-1ubuntu1 500
        500 http://nl.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
        100 /var/lib/dpkg/status
libgtk-3-0:
  Installed: 3.18.9-1ubuntu3.1
  Candidate: 3.18.9-1ubuntu3.1
  Version table:
 *** 3.18.9-1ubuntu3.1 500
        500 http://nl.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     3.18.9-1ubuntu3 500
        500 http://nl.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
Comment 12 Frédéric MASSOT 2016-08-25 19:17:01 UTC
Hi,

My info (on system with this bug): 

$ apt-cache policy libgtk2.0-0 libgtk-3-0
libgtk2.0-0:
  Installed: 2.24.30-4
  Candidate: 2.24.30-4
  Version table:
 *** 2.24.30-4 500
        500 ftp://ftp.fr.debian.org/debian stretch/main i386 Packages
        100 /var/lib/dpkg/status
     2.24.25-3+deb8u1 500
        500 ftp://ftp.fr.debian.org/debian jessie/main i386 Packages
libgtk-3-0:
  Installed: 3.20.6-2
  Candidate: 3.20.9-1
  Version table:
     3.20.9-1 500
        500 ftp://ftp.fr.debian.org/debian stretch/main i386 Packages
 *** 3.20.6-2 100
        100 /var/lib/dpkg/status
     3.14.5-1+deb8u1 500
        500 ftp://ftp.fr.debian.org/debian jessie/main i386 Packages
Comment 13 Aron Budea 2016-08-26 04:04:34 UTC
Reproduced with v5.1.4.2/Ubuntu 16.04 (shipped with Ubuntu 16.04, package libreoffice-gtk3 installed).
Not reproduced with v5.1.4.2/Ubuntu 16.04 (distributed by TDF).

So, same version, but Ubuntu's has GTK3 enabled. Removing package libreoffice-gtk3 fixes the issue in Ubuntu's build, too.
I have the same libgtk2.0-0 & libgtk-3-0 versions installed as Cor (Comment 11).
Comment 14 Aron Budea 2016-08-26 04:08:19 UTC
Also reproduced with v5.2.0.4 snap.
Can't tell if that's GTK3 or not, is there a way to check it?
Comment 15 Cor Nouws 2016-08-26 10:15:30 UTC
I heard later yesterday that TDF builds indeed aren't build with GTK3 enabled.
Comment 16 Caolán McNamara 2016-10-18 13:15:50 UTC
This was fixed by...

962e0bb4b31265b046fe4fb57d3087e20f5fe4ef

Related: rhbz#1351369 gtk3 clipboards have to live to end once created

in master. I'll backport to at least 5-2
Comment 17 Commit Notification 2016-10-25 07:37:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3284234de21c65f58bbad6bef8d40ae5bc5a8ea5&h=libreoffice-5-2

Resolves: tdf#101457 gtk3 clipboards have to live to end once created

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.